Get catch-all statistics

Get catch-all statistics. View request and response details for this Samva email API endpoint.

GET
/v1/email/catch-all/stats

Returns catch-all receiving counters for a domain, adding an aggregated breakdown when after or before bounds a range: after inclusive, before exclusive.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

domainId*string
Match^dom_[0-9a-hjkmnp-tv-z]{16,24}$
after?string
before?string

Response Body

Success

application/json
  1. response
domain*string
isCatchAllEnabled*boolean
catchAllEmailCount*integer
Range0 <= value <= 9007199254740991
catchAllLastEmailAt*string|null
timeRange?|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.email.getCatchAllStats({  "domainId": "example"});
Example Response
{  "domain": "string",  "isCatchAllEnabled": true,  "catchAllEmailCount": 0,  "catchAllLastEmailAt": "string",  "timeRange": {    "emailsReceived": 0,    "firstEmail": "string",    "lastEmail": "string",    "avgPerDay": 0  }}

Related documentation